package com.ycwl.basic.mapper;

import com.ycwl.basic.model.pc.payment.entity.PaymentEntity;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

@Mapper
public interface PaymentMapper {
    Long addGetId(PaymentEntity entity);
    PaymentEntity findByOutTradeNo(@Param("outTradeNo") String outTradeNo);
    int update(PaymentEntity entity);
    int setOutTradeNo(@Param("id") Long id, @Param("outTradeNo") String outTradeNo);
    int setPaid(Long paymentId);
}
